Форум русскоязычного сообщества Ubuntu


Автор Тема: Как узнать, что мешает установить skype?  (Прочитано 1436 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Zloy1

  • Автор темы
  • Активист
  • *
  • Сообщений: 261
    • Просмотр профиля
Пытаюсь установить skype, получаю ругатню:
(Нажмите, чтобы показать/скрыть)

Как понять, какие пакет мешают ему установиться? Чего вообще можно сделать с этим?
Хееееелп!

Оффлайн skybour

  • Старожил
  • *
  • Сообщений: 2213
    • Просмотр профиля
Re: Как узнать, что мешает установить skype?
« Ответ #1 : 11 Ноябрь 2013, 13:51:08 »
sudo apt-get autoremoveпотом снова пробуй установку.

Оффлайн Zloy1

  • Автор темы
  • Активист
  • *
  • Сообщений: 261
    • Просмотр профиля
Re: Как узнать, что мешает установить skype?
« Ответ #2 : 11 Ноябрь 2013, 13:58:44 »
sudo apt-get autoremoveпотом снова пробуй установку.

Попробовал - 0 пакето установлено, 0 удалено и все то же самое

Оффлайн skybour

  • Старожил
  • *
  • Сообщений: 2213
    • Просмотр профиля
Re: Как узнать, что мешает установить skype?
« Ответ #3 : 11 Ноябрь 2013, 14:09:09 »
какая версия Ubuntu?

Оффлайн ArcFi

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 15189
    • Просмотр профиля
    • aetera.net
Re: Как узнать, что мешает установить skype?
« Ответ #4 : 11 Ноябрь 2013, 15:06:36 »
cat /etc/issue
grep -Ev '^#|^$' /etc/apt/sources.list{,.d/*.list}
apt-cache policy skype\*
?

Оффлайн Zloy1

  • Автор темы
  • Активист
  • *
  • Сообщений: 261
    • Просмотр профиля
Re: Как узнать, что мешает установить skype?
« Ответ #5 : 11 Ноябрь 2013, 15:09:30 »
какая версия Ubuntu?
12.04 64 бит

Пользователь решил продолжить мысль 11 Ноябрь 2013, 15:11:19:
cat /etc/issue
grep -Ev '^#|^$' /etc/apt/sources.list{,.d/*.list}
apt-cache policy skype\*
?

~ > cat /etc/issue
Ubuntu 12.04.3 LTS \n \l

~ > grep -Ev '^#|^$' /etc/apt/sources.list{,.d/*.list}
/etc/apt/sources.list:deb http://archive.ubuntu.com/ubuntu precise main restricted
/etc/apt/sources.list:deb-src http://archive.ubuntu.com/ubuntu precise main restricted
/etc/apt/sources.list:deb http://archive.ubuntu.com/ubuntu precise universe
/etc/apt/sources.list:deb-src http://archive.ubuntu.com/ubuntu precise universe
/etc/apt/sources.list:deb http://archive.ubuntu.com/ubuntu precise multiverse
/etc/apt/sources.list:deb-src http://archive.ubuntu.com/ubuntu precise multiverse
/etc/apt/sources.list:deb http://archive.ubuntu.com/ubuntu precise-backports main restricted universe multiverse
/etc/apt/sources.list:deb-src http://archive.ubuntu.com/ubuntu precise-backports main restricted universe multiverse
/etc/apt/sources.list:deb http://archive.ubuntu.com/ubuntu precise-security main restricted
/etc/apt/sources.list:deb-src http://archive.ubuntu.com/ubuntu precise-security main restricted
/etc/apt/sources.list:deb http://archive.ubuntu.com/ubuntu precise-security universe
/etc/apt/sources.list:deb-src http://archive.ubuntu.com/ubuntu precise-security universe
/etc/apt/sources.list:deb http://archive.ubuntu.com/ubuntu precise-security multiverse
/etc/apt/sources.list:deb-src http://archive.ubuntu.com/ubuntu precise-security multiverse
/etc/apt/sources.list:deb http://archive.canonical.com/ubuntu precise partner
/etc/apt/sources.list:deb-src http://archive.canonical.com/ubuntu precise partner
/etc/apt/sources.list:deb http://extras.ubuntu.com/ubuntu precise main
/etc/apt/sources.list:deb-src http://extras.ubuntu.com/ubuntu precise main
/etc/apt/sources.list:deb http://archive.canonical.com/ precise partner
/etc/apt/sources.list:deb-src http://archive.canonical.com/ precise partner
/etc/apt/sources.list.d/atareao-atareao-precise.list:deb http://ppa.launchpad.net/atareao/atareao/ubuntu precise main
/etc/apt/sources.list.d/atareao-atareao-precise.list:deb-src http://ppa.launchpad.net/atareao/atareao/ubuntu precise main
/etc/apt/sources.list.d/diesch-testing-precise.list:deb http://ppa.launchpad.net/diesch/testing/ubuntu precise main
/etc/apt/sources.list.d/diesch-testing-precise.list:deb-src http://ppa.launchpad.net/diesch/testing/ubuntu precise main
/etc/apt/sources.list.d/dropbox.list:deb http://linux.dropbox.com/ubuntu precise main
/etc/apt/sources.list.d/jwigley-window-list-precise.list:deb http://ppa.launchpad.net/jwigley/window-list/ubuntu precise main
/etc/apt/sources.list.d/jwigley-window-list-precise.list:deb-src http://ppa.launchpad.net/jwigley/window-list/ubuntu precise main
/etc/apt/sources.list.d/tualatrix-next-precise.list:deb http://ppa.launchpad.net/tualatrix/next/ubuntu precise main
/etc/apt/sources.list.d/tualatrix-next-precise.list:deb-src http://ppa.launchpad.net/tualatrix/next/ubuntu precise main
/etc/apt/sources.list.d/ubuntu-mozilla-security-ppa-precise.list:deb http://ppa.launchpad.net/ubuntu-mozilla-security/ppa/ubuntu precise main
/etc/apt/sources.list.d/ubuntu-mozilla-security-ppa-precise.list:deb-src http://ppa.launchpad.net/ubuntu-mozilla-security/ppa/ubuntu precise main
~ > apt-cache policy skype\*
pidgin-skype:
  Установлен: (отсутствует)
  Кандидат:   20110407+svn612+dfsg-1.1
  Таблица версий:
     20110407+svn612+dfsg-1.1 0
        500 http://archive.ubuntu.com/ubuntu/ precise/multiverse amd64 Packages
pidgin-skype-dbg:
  Установлен: (отсутствует)
  Кандидат:   20110407+svn612+dfsg-1.1
  Таблица версий:
     20110407+svn612+dfsg-1.1 0
        500 http://archive.ubuntu.com/ubuntu/ precise/multiverse amd64 Packages
skype-common:
  Установлен: (отсутствует)
  Кандидат:   (отсутствует)
  Таблица версий:
skype:
  Установлен: (отсутствует)
  Кандидат:   4.2.0.11-0ubuntu0.12.04.2
  Таблица версий:
     4.2.0.11-0ubuntu0.12.04.2 0
        500 http://archive.canonical.com/ubuntu/ precise/partner amd64 Packages
        500 http://archive.canonical.com/ precise/partner amd64 Packages
skype4pidgin:
  Установлен: (отсутствует)
  Кандидат:   (отсутствует)
  Таблица версий:
skype-bin:
  Установлен: (отсутствует)
  Кандидат:   (отсутствует)
  Таблица версий:
skype-mid:
  Установлен: (отсутствует)
  Кандидат:   (отсутствует)
  Таблица версий:

« Последнее редактирование: 11 Ноябрь 2013, 15:11:19 от Zloy1 »

Оффлайн ArcFi

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 15189
    • Просмотр профиля
    • aetera.net
Re: Как узнать, что мешает установить skype?
« Ответ #6 : 11 Ноябрь 2013, 15:53:37 »
apt-cache policy libjpeg-turbo8 libasound2?

Оффлайн Zloy1

  • Автор темы
  • Активист
  • *
  • Сообщений: 261
    • Просмотр профиля
Re: Как узнать, что мешает установить skype?
« Ответ #7 : 11 Ноябрь 2013, 15:56:07 »
apt-cache policy libjpeg-turbo8 libasound2?

~ > apt-cache policy libjpeg-turbo8 libasound2
libjpeg-turbo8:
  Установлен: 1.1.90+svn733-0ubuntu4.1
  Кандидат:   1.1.90+svn733-0ubuntu4.1
  Таблица версий:
 *** 1.1.90+svn733-0ubuntu4.1 0
        100 /var/lib/dpkg/status
     1.1.90+svn733-0ubuntu4 0
        500 http://archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
libasound2:
  Установлен: 1.0.25-1ubuntu10.2
  Кандидат:   1.0.25-1ubuntu10.2
  Таблица версий:
 *** 1.0.25-1ubuntu10.2 0
        100 /var/lib/dpkg/status
     1.0.25-1ubuntu10 0
        500 http://archive.ubuntu.com/ubuntu/ precise/main amd64 Packages

что это за магия)) ?

Оффлайн ArcFi

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 15189
    • Просмотр профиля
    • aetera.net
Re: Как узнать, что мешает установить skype?
« Ответ #8 : 11 Ноябрь 2013, 16:09:58 »
А что говорит
aptitude show skype?

Возможно, какой-то косяк multilib.

Попробуйте установить через apt-get:
sudo apt-get install skype

Оффлайн Zloy1

  • Автор темы
  • Активист
  • *
  • Сообщений: 261
    • Просмотр профиля
Re: Как узнать, что мешает установить skype?
« Ответ #9 : 11 Ноябрь 2013, 16:23:14 »
А что говорит
aptitude show skype?

Возможно, какой-то косяк multilib.

Попробуйте установить через apt-get:
sudo apt-get install skype

~ > aptitude show skype
Пакет: skype                                     
Новый: да
Состояние: не установлен
Версия: 4.2.0.11-0ubuntu0.12.04.2
Приоритет: дополнительный
Раздел: net
Сопровождающий: Steve Langasek <steve.langasek@canonical.com>
Архитектура: amd64
Размер в распакованном виде: 62,5 k
Зависимости: skype-bin
Конфликтует: skype
Описание: client for Skype VOIP and instant messaging service
 Skype is software that enables the world's conversations.  Millions of
 individuals and businesses use Skype to make free video and voice calls, send
 instant messages and share files with other Skype users.  Every day, people
 also use Skype to make low-cost calls to landlines and mobiles.
 
 * Make free Skype-to-Skype calls to anyone else, anywhere in the world. * Call
 to landlines and mobiles at great rates. * Group chat with up to 200 people or
 conference call with up to 25 others. * Free to download.


~ > sudo apt-get install skype
[sudo] password for zhan:
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 skype : Зависит: skype-bin
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

???

Оффлайн skybour

  • Старожил
  • *
  • Сообщений: 2213
    • Просмотр профиля
Re: Как узнать, что мешает установить skype?
« Ответ #10 : 11 Ноябрь 2013, 16:53:50 »
sudo apt-get remove skype-bin?

Оффлайн Zloy1

  • Автор темы
  • Активист
  • *
  • Сообщений: 261
    • Просмотр профиля
Re: Как узнать, что мешает установить skype?
« Ответ #11 : 11 Ноябрь 2013, 17:05:13 »
sudo apt-get remove skype-bin?
~ > sudo apt-get remove skype-bin
[sudo] password for zhan:
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Пакет skype-bin:i386 не установлен, поэтому не может быть удалён
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 2 пакетов не обновлено.


Пользователь решил продолжить мысль 11 Ноябрь 2013, 17:08:17:
~ > sudo apt-get -f install
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 2 пакетов не обновлено.

Что это за два пакета?
« Последнее редактирование: 11 Ноябрь 2013, 17:08:17 от Zloy1 »

Оффлайн skybour

  • Старожил
  • *
  • Сообщений: 2213
    • Просмотр профиля
Re: Как узнать, что мешает установить skype?
« Ответ #12 : 11 Ноябрь 2013, 17:16:36 »
кажется так:
sudo apt-get install -f

Оффлайн Zloy1

  • Автор темы
  • Активист
  • *
  • Сообщений: 261
    • Просмотр профиля
Re: Как узнать, что мешает установить skype?
« Ответ #13 : 11 Ноябрь 2013, 17:18:29 »
кажется так:
sudo apt-get install -f

~ > sudo apt-get install -f skype
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 skype : Зависит: skype-bin
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
~ > sudo apt-get install -f
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.



Пользователь решил продолжить мысль 11 Ноябрь 2013, 17:19:15:
~ > sudo apt-get install -f skype-bin
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 skype-bin:i386 : Зависит: libasound2:i386 (>= 1.0.23) но он не будет установлен
                  Зависит: libqtgui4:i386 (>= 4:4.8.0) но он не будет установлен
                  Зависит: libqtwebkit4:i386 (>= 2.2~2011week36) но он не будет установлен
                  Рекомендует: sni-qt:i386 но он не будет установлен
                  Рекомендует: libasound2-plugins:i386 но он не будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

Пользователь решил продолжить мысль 11 Ноябрь 2013, 17:38:25:
Готов поклясться что так я уже делал, но в этот раз все заработало:

sudo apt-add-repository "deb http://archive.canonical.com/ $(lsb_release -sc) partner"
sudo apt-get update && sudo apt-get install skype

вопрос закрыт
« Последнее редактирование: 11 Ноябрь 2013, 17:38:25 от Zloy1 »

 

Страница сгенерирована за 0.105 секунд. Запросов: 25.